# Hints

## General

- An [integer value][integers] can be defined as one or more consecutive digits.

## 1. Define the expected oven time in minutes

- You need to define a [method][methods] without any arguments.
- You need to return an [integer][integers].

## 2. Calculate the remaining oven time in minutes

- You need to define a [method][methods] with a single parameter.
- You have to [explicitly return an integer][return] from a method.
- The method's parameter is an [integer][integers].
- You can use the [mathematical operator for subtraction][operators] to subtract values.

## 3. Calculate the preparation time in minutes

- You need to define a [method][methods] with a single parameter.
- You have to [explicitly return an integer][return] from a method.
- The method's parameter is an [integer][integers].
- You can use the [mathematical operator for multiplicaton][operators] to multiply values.

## 4. Calculate the total working time in minutes

- You need to define a [method][methods] with two parameters.
- You have to [explicitly return an integer][return] from a method.
- The method's parameter is an [integer][integers].
- You can [invoke][invocation] one of the other methods you've defined previously.
- You can use the [mathematical operator for addition][operators] to add values.

[methods]: https://docs.oracle.com/javase/tutorial/java/javaOO/methods.html
[return]: https://docs.oracle.com/javase/tutorial/java/javaOO/returnvalue.html
[operators]: https://docs.oracle.com/javase/tutorial/java/nutsandbolts/operators.html
[integers]: https://docs.oracle.com/javase/tutorial/java/nutsandbolts/datatypes.html
[invocation]: https://docs.oracle.com/javase/tutorial/java/javaOO/usingobject.html