# Help

## Running the tests

Choose your operating system:

* [Windows](#windows)
* [macOS](#macos)
* [Linux](#linux)

----

1. Open a Command Prompt.
2. Get the first exercise:

     ```batchfile
     C:\Users\JohnDoe>exercism download --exercise hello-world --track java

     Not Submitted:     1 problem
     java (Hello World) C:\Users\JohnDoe\exercism\java\hello-world

     New:               1 problem
     java (Hello World) C:\Users\JohnDoe\exercism\java\hello-world

     unchanged: 0, updated: 0, new: 1
   ```

3. Change directory into the exercism:

     ```batchfile
     C:\Users\JohnDoe>cd C:\Users\JohnDoe\exercism\java\hello-world
     ```
   
4. Run the tests:

     ```batchfile
     C:\Users\JohnDoe>gradle test
     ```
   *(Don't worry about the tests failing, at first, this is how you begin each exercise.)*

5. Solve the exercise.  Find and work through the `instructions.append.md` guide ([view on GitHub](https://github.com/exercism/java/blob/main/exercises/practice/hello-world/.docs/instructions.append.md#tutorial)).


Good luck!  Have fun!

----

1. In the terminal window, get the first exercise:

     ```
     $ exercism download --exercise hello-world --track java

     New:                 1 problem
     Java (Etl) /Users/johndoe/exercism/java/hello-world

     unchanged: 0, updated: 0, new: 1
    ```

2. Change directory into the exercise:

     ```
     $ cd /Users/johndoe/exercism/java/hello-world
     ```

3. Run the tests:

    ```
    $ gradle test
    ```
   *(Don't worry about the tests failing, at first, this is how you begin each exercise.)*

4. Solve the exercise.  Find and work through the `instructions.append.md` guide ([view on GitHub](https://github.com/exercism/java/blob/main/exercises/practice/hello-world/.docs/instructions.append.md#tutorial)).

Good luck!  Have fun!

----

1. In the terminal window, get the first exercise:

     ```
     $ exercism download --exercise hello-world --track java

     New:                 1 problem
     Java (Etl) /home/johndoe/exercism/java/hello-world

     unchanged: 0, updated: 0, new: 1

    ```

2. Change directory into the exercise:

     ```
     $ cd /home/johndoe/exercism/java/hello-world
     ```

3. Run the tests:

    ```
    $ gradle test
    ```
   *(Don't worry about the tests failing, at first, this is how you begin each exercise.)*

4. Solve the exercise.  Find and work through the `instructions.append.md` guide ([view on GitHub](https://github.com/exercism/java/blob/main/exercises/practice/hello-world/.docs/instructions.append.md#tutorial)).

Good luck!  Have fun!

## Submitting your solution

You can submit your solution using the `exercism submit src/main/java/NeedForSpeed.java` command.
This command will upload your solution to the Exercism website and print the solution page's URL.

It's possible to submit an incomplete solution which allows you to:

- See how others have completed the exercise
- Request help from a mentor

## Need to get help?

If you'd like help solving the exercise, check the following pages:

- The [Java track's documentation](https://exercism.org/docs/tracks/java)
- [Exercism's programming category on the forum](https://forum.exercism.org/c/programming/5)
- The [Frequently Asked Questions](https://exercism.org/docs/using/faqs)

Should those resources not suffice, you could submit your (incomplete) solution to request mentoring.

If you need some help you can visit these resources:

* [Stack Overflow](https://stackoverflow.com/questions/tagged/java),
* [The Java subreddit](https://www.reddit.com/r/java),
* [Official Java documentation](https://docs.oracle.com/en/java/javase/11/docs/api/index.html).